%global _empty_manifest_terminate_build 0
Name:		python-treelib
Version:	1.6.1
Release:	1
Summary:	A Python 2/3 implementation of tree structure.
License:	Apache-2.0
URL:		https://github.com/caesar0301/treelib
Source0:	https://files.pythonhosted.org/packages/04/b0/2269c328abffbb63979f7143351a24a066776b87526d79956aea5018b80a/treelib-1.6.1.tar.gz
BuildArch:	noarch


%description
This is a simple tree data structure implementation in python.

%package -n python3-treelib
Summary:	A Python 2/3 implementation of tree structure.
Provides:	python-treelib
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-treelib
This is a simple tree data structure implementation in python.

%package help
Summary:	Development documents and examples for treelib
Provides:	python3-treelib-doc

%description help
This is a simple tree data structure implementation in python.

%prep
%autosetup -n treelib-1.6.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-treelib -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Aug 09 2021 Python_Bot <Python_Bot@openeuler.org> - 1.6.1-1
- Package Spec generated
